### just.the.code.R
### Cori Mar
### October 13, 2018

help(read.table)

example.data <- read.table("example.dat", header = TRUE)

head(example.data)
tail(example.data)
example.data[1:10, ]

dim(example.data)
nrow(example.data)
ncol(example.data)

is.array(example.data)
is.data.frame(example.data)

example.data[1, 1]
example.data[8, 3]
example.data$x1[1]
example.data$y[3]

is.vector(example.data$x1)
length(example.data$x1)
mean(example.data$x1)
mean(example.data[, 1])
sum(example.data[2, ])
min(example.data$y)
max(example.data$y)

hist(example.data$x1)
hist(example.data$y)

plot(example.data$x1, example.data$y)

lm.results <- lm(y ~ x1 + x2, data = example.data)

lm.results

summary(lm.results)

aov(lm.results)
summary(aov(lm.results))

y.hat <- predict(lm.results)
head(y.hat)
tail(y.hat)
